Bug 588713 - [abrt] crash in cscope-15.6-8.fc12: Process /usr/bin/cscope was killed by signal 6 (SIGABRT)
Summary: [abrt] crash in cscope-15.6-8.fc12: Process /usr/bin/cscope was killed by sig...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: cscope
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Neil Horman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3305b0c6520ee9b4c19cc027db7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-04 11:10 UTC by Stefan Assmann
Modified: 2010-05-10 15:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-10 15:21:09 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (4.84 KB, text/plain)
2010-05-04 11:10 UTC, Stefan Assmann
no flags Details

Description Stefan Assmann 2010-05-04 11:10:45 UTC
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/cscope -dl -f cscope.out
component: cscope
executable: /usr/bin/cscope
global_uuid: 3305b0c6520ee9b4c19cc027db7303fd750b2eff
kernel: 2.6.33.2-57.fc13.i686
package: cscope-15.6-8.fc12
rating: 4
reason: Process /usr/bin/cscope was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

comment
-----
starting vi
Error detected while processing /etc/vimrc:
line   39:
cs_read_prompt EOF: Success
E609: Cscope error: cscope: invlib.c:566: invopen: Assertion `invcntl-aram.sizeblk == sizeof(t_logicalblk)' failed.

/etc/vimrc line 38ff
   if filereadable("cscope.out")
      cs add cscope.out

Comment 1 Stefan Assmann 2010-05-04 11:10:48 UTC
Created attachment 411252 [details]
File: backtrace

Comment 2 Neil Horman 2010-05-05 15:24:45 UTC
was the cscope database that was used in this case built on a system of a different width/endianess by any chance?

Comment 3 Stefan Assmann 2010-05-05 16:51:18 UTC
hey Neil,

yeah that's true I switched from x86_64 to i386. Good catch. :)

Comment 4 Neil Horman 2010-05-10 15:21:09 UTC
Yeah, that will do it.  The cscope.out database is (unfortunately) built in such a way that various field sizes are different dependent on arch, so you need to re-generate the cscope.out database, or you get garbage.  Sorry.


Note You need to log in before you can comment on or make changes to this bug.